/* ploticus data display engine.  Software, documentation, and examples.  
 * Copyright 1998-2001 Stephen C. Grubb  (steve@sgpr.net).
 * Covered by GPL; see the file ./Copyright for details. */


#include "dms.x"
 
static int Errorlimit = 15;
static int Nerrors = 0;
 
/* =========================================== */
/* ERR - display system error message */
err( errno, srcln, msg, parm )
int errno;
int srcln; /* for cases where input file is being parsed */
char *msg, *parm;
{
Nerrors++;
if( Nerrors > Errorlimit ) {
	Eerr( 20000, "Error limit reached- quitting", "" );
	exit(1);
	}
Eerr( errno, msg, parm );
return( errno );
}

