#include "graphcore.d"

/* overall settings */
extern char Estandard_font[] ;
extern int Estandard_textsize;
extern double Estandard_lwscale;
extern char Estandard_color[];
extern char Estandard_bkcolor[];

/* window size.. */
extern double EWinx, EWiny;
extern double EWinx_0, EWiny_0;

/* graphics parameters.. */
extern char Edev;
extern int  Epixelsinch;
extern char Estandardfont[];
extern char Ecurfont[];
extern int Ecurtextsize;
extern int Estandardtextsize;
extern double Ecurtextheight;
extern double Ecurtextwidth;
extern int Ecurtextdirection;
extern int Ecurpaper;
extern double Estandardlinewidth;
extern double Ecurlinewidth;
extern int Ecurlinetype;
extern double Ecurpatternfactor;
extern int Ecurpen; 
extern char Ecurcolor[];
extern char Ecurbkcolor[];
extern char Ecurhilitedraw[]; 
extern char Ecurhilitebk[];  


/* event information */
extern int EEvent;
extern double EEventx, EEventy;


/* scaling.. */
extern double EXlo, EXhi, EYlo, EYhi;		/* graphic area bounds, absolute coords */
extern double EDXlo, EDXhi, EDYlo, EDYhi;	/* graphic area bounds, data coords */
extern double EScale_x, EScale_y; 		/* linear scaling factors in x and y */
extern int Escaletype_x;		/* either LINEAR or LOG */
extern int Escaletype_y;		/* either LINEAR or LOG */

/* last moveto and lineto */
extern double Ex1, Ey1, Ex2, Ey2;


extern char Eprogname[];

extern int Eflip;

extern int Eblacklines;

extern long Eflashdelay;

extern FILE *Errfp;
