/* ploticus data display engine.  Software, documentation, and examples.  
 * Copyright 1998-2001 Stephen C. Grubb  (steve@sgpr.net).
 * Covered by GPL; see the file ./Copyright for details. */


#include <stdio.h>
#include <time.h>

/* Suspend process for an interval in microseconds (us) */
/* Returns 0 if ok; otherwise an error code.. */

Eusleep( us )
long us;
{
int stat;

#ifdef SOLARIS2
struct  timespec {              /* definition per POSIX.4 */
        time_t          tv_sec;         /* seconds */
        long            tv_nsec;        /* and nanoseconds */
} sleeptime;

if( us < 0 ) us = 0;
if( us > 999999 ) us = 999999;
sleeptime.tv_sec = 0;
sleeptime.tv_nsec = us * 1000; /* nanoseconds */
stat = nanosleep( &sleeptime, NULL ); 
return( stat );
#endif

#if defined(BSD) || defined(SVR4)
usleep( us );
return( 0 );
#endif

}

