/* ploticus data display engine.  Software, documentation, and examples.  
 * Copyright 1998-2001 Stephen C. Grubb  (steve@sgpr.net).
 * Covered by GPL; see the file ./Copyright for details. */


#include <stdio.h> 


/* The following may be modified when setting up an application.. 
	(make a copy of the file first) */

/* Data array size */
#define DATAMAXLEN 80
#define MAXITEMS 128
#define TAGMAXLEN 40


/* Null data */
#define NULLDATA ""

/* value_subst modes */
#define NORMAL 0
#define FOR_CONDEX 1

/* general */
#define YES 1
#define NO 0


/* === scripter state === */
struct scripterstate {
	FILE *fp;
	int ifnest;
	long lofs;
	FILE *incfp;
	int incflag;
	int loopnest;
	int hideund;
	} ; 

/* macros */
#ifdef LOCALE
 #define stricmp( s, t ) 	stricoll( s, t )
 #define strnicmp( s, t, n )     strnicoll( s, t, n )
#else
 #define stricmp( s, t ) 	strcasecmp( s, t )
 #define strnicmp( s, t, n )     strncasecmp( s, t, n )
#endif
#define goodnum( s, p )		Egoodnum( s, p )
#define getchunk( a, b, c, d )	Egetchunk( a, b, c, d )
#define member( a, b )		Emember( a, b )
