/* ploticus data display engine.  Software, documentation, and examples.  
 * Copyright 1998-2001 Stephen C. Grubb  (steve@sgpr.net).
 * Covered by GPL; see the file ./Copyright for details. */


#define MAXD 200000  		/* maximum total # of data fields (*char) */
#define MAXDATABUF 1000000 	/* max capcity of data text (Databuf) (char) */
#define MAXBIGBUF  100000 	/* size of Bigbuf (char) */
#define MAXDAT 100000 		/* # members in Dat data list (double) */
#define HALFMAXDAT 50000	/* 1/2 of the above */
#define THIRDMAXDAT 33333	/* 1/3 of the above */

#define MAXNCATS 100		/* max # of categories */
#define MAXCATLEN 50		/* max len of category tag */

#define dat2d(i,j)	(Dat[((i)*2)+(j)])    /* access Dat as an Nx2 array */
#define dat3d(i,j)      (Dat[((i)*3)+(j)])    /* access Dat as an  NX3  array */


#define MAXCLONEFILES 5
#define MAXPATH 128

#define MAXDSEL 5

#ifdef LOCALE
 #define stricmp( s, t )        stricoll( s, t )
 #define strnicmp( s, t, n )     strnicoll( s, t, n )
#else
 #define stricmp( s, t )        strcasecmp( s, t )
 #define strnicmp( s, t, n )     strncasecmp( s, t, n )
#endif

#define X 'x'
#define Y 'y'

extern char *da();
extern double fda(), avg();

/* legend entry types */
#define LEGEND_COLOR 1
#define LEGEND_LINE 2
#define LEGEND_SYMBOL 4
#define LEGEND_TEXT 8

#define PIVOTYEAR 70

#define PLHUGE 	999999999999999.0
#define NEGHUGE -999999999999999.0

#define YESANS "y"   
